import request from '@/utils/request'

// 查询通讯录列表
export function listPhones(query) {
  return request({
    url: '/system/phones/list',
    method: 'get',
    params: query
  })
}

// 查询通讯录详细
export function getPhones(id) {
  return request({
    url: '/system/phones/get/' + id,
    method: 'get'
  })
}

// 新增通讯录
export function addPhones(data) {
  return request({
    url: '/system/phones/add',
    method: 'post',
    data: data
  })
}

// 修改通讯录
export function updatePhones(data) {
  return request({
    url: '/system/phones/edit',
    method: 'post',
    data: data
  })
}

// 删除通讯录
export function delPhones(id) {
  return request({
    url: '/system/phones/remove/' + id,
    method: 'get'
  })
}

// 导出通讯录
export function exportPhones(query) {
  return request({
    url: '/system/phones/export',
    method: 'get',
    params: query
  })
}
